Bug 5766 - Terminals under X (KDE, Gnome ...) do not read configuration files
Terminals under X (KDE, Gnome ...) do not read configuration files
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-09 08:38 EDT by ted
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-14 12:12:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ted 1999-10-09 08:38:07 EDT
Hi !

I have a weird problem. When I open a terminal under X,
configuration files (under profile.d for instance or the
csh.cshrc files) are not read. The user is not listed when I
type "w" or "who" and it is not in the list of connected
users ("last | more").
My machine is a standalone machine at home. No connection to
the internet, no modem. This happens right after the
installation (text mode or anaconda). Moreover I have the
feeling that X cannot find the name of my machine. Emacs
still calls mu machine localhost.localdomain and screensaver
cannot connect to :0.0 or something like that.
Comment 1 Preston Brown 2000-01-14 12:12:59 EST
please remember that most terminals are not started as login shells, but merely
as interactive shells.  You need to create the settings you want for each of
these terminals in the proper file, i.e. .bashrc for bash.

Edit /etc/hosts to change the name of your machine, or use linuxconf, or use
netcfg.

Note You need to log in before you can comment on or make changes to this bug.